Debian Bug report logs - #645978
Please build esound for multiarch

version graph

Package: esound; Maintainer for esound is Josselin Mouette <joss@debian.org>;

Reported by: Steve Langasek <steve.langasek@canonical.com>

Date: Thu, 20 Oct 2011 05:33:02 UTC

Severity: normal

Tags: patch

Found in version 0.2.41-9

Fixed in version esound/0.2.41-10

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#645978; Package esound. (Thu, 20 Oct 2011 05:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
New Bug report received and forwarded. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 20 Oct 2011 05:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please build esound for multiarch
Date: Wed, 19 Oct 2011 22:31:40 -0700
[Message part 1 (text/plain, inline)]
Package: esound
Version: 0.2.41-9
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch

Hi folks,

In Ubuntu, I've applied the attached patch to build esound for multiarch.
It's a straightforward transition, with no particular surprises; I've
updated the package to use debhelper compat level 9 at the same time, which
doesn't seem to have any negative impact on the build.

I should note that libesd.la is still listed on
http://release.debian.org/~aba/la/current.txt because libao references it. 
So after applying this patch, libao will need a rebuild (or better yet, to
have its .la file dropped).

Thanks for considering the patch.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[tmpz7Y3iY (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#645978; Package esound. (Thu, 20 Oct 2011 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 20 Oct 2011 06:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 645978@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Steve Langasek <steve.langasek@canonical.com>, 645978@bugs.debian.org
Subject: Re: Bug#645978: Please build esound for multiarch
Date: Thu, 20 Oct 2011 08:00:42 +0200
[Message part 1 (text/plain, inline)]
Hi Steve!

Am 20.10.2011 07:31, schrieb Steve Langasek:
> I should note that libesd.la is still listed on
> http://release.debian.org/~aba/la/current.txt because libao references it. 

I think we should use the opportunity to drop

+usr/lib/*/libesd.la

or is there a particular reason you kept the .la file?

Thanks for the patch,

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Josselin Mouette <joss@debian.org>:
Bug#645978; Package esound. (Thu, 20 Oct 2011 06:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to Josselin Mouette <joss@debian.org>. (Thu, 20 Oct 2011 06:21:05 GMT) Full text and rfc822 format available.

Message #15 received at 645978@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Michael Biebl <biebl@debian.org>
Cc: 645978@bugs.debian.org
Subject: Re: Bug#645978: Please build esound for multiarch
Date: Wed, 19 Oct 2011 23:17:36 -0700
[Message part 1 (text/plain, inline)]
On Thu, Oct 20, 2011 at 08:00:42AM +0200, Michael Biebl wrote:
> Am 20.10.2011 07:31, schrieb Steve Langasek:
> > I should note that libesd.la is still listed on
> > http://release.debian.org/~aba/la/current.txt because libao references it. 

> I think we should use the opportunity to drop

> +usr/lib/*/libesd.la

> or is there a particular reason you kept the .la file?

> Thanks for the patch,

I don't know any particular reason to keep it.  I agree that it's probably
best to drop it at the same time.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Fri, 21 Oct 2011 23:51:03 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <steve.langasek@canonical.com>:
Bug acknowledged by developer. (Fri, 21 Oct 2011 23:51:04 GMT) Full text and rfc822 format available.

Message #20 received at 645978-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 645978-close@bugs.debian.org
Subject: Bug#645978: fixed in esound 0.2.41-10
Date: Fri, 21 Oct 2011 23:47:11 +0000
Source: esound
Source-Version: 0.2.41-10

We believe that the bug you reported is fixed in the latest version of
esound, which is due to be installed in the Debian FTP archive:

esound-common_0.2.41-10_all.deb
  to main/e/esound/esound-common_0.2.41-10_all.deb
esound_0.2.41-10.debian.tar.gz
  to main/e/esound/esound_0.2.41-10.debian.tar.gz
esound_0.2.41-10.dsc
  to main/e/esound/esound_0.2.41-10.dsc
libesd0-dev_0.2.41-10_i386.deb
  to main/e/esound/libesd0-dev_0.2.41-10_i386.deb
libesd0_0.2.41-10_i386.deb
  to main/e/esound/libesd0_0.2.41-10_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645978@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated esound package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 22 Oct 2011 01:04:30 +0200
Source: esound
Binary: esound-common libesd0 libesd0-dev
Architecture: source all i386
Version: 0.2.41-10
Distribution: unstable
Urgency: low
Maintainer: Josselin Mouette <joss@debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 esound-common - Enlightened Sound Daemon - Common files
 libesd0    - Enlightened Sound Daemon - Shared libraries
 libesd0-dev - Enlightened Sound Daemon - Development files
Closes: 645978
Changes: 
 esound (0.2.41-10) unstable; urgency=low
 .
   * Switch to dpkg source format 3.0 (quilt).
   * Transition to multiarch, thanks Steve. Closes: #645978
   * Drop the libtool .la file, since we break existing references anyway.
   * debian/control.in:
     - Bump Standards-Version to 3.9.2. No further changes.
     - Drop old Conflicts (pre-lenny).
Checksums-Sha1: 
 855ade93231d8587dfee111b6e63bdad1f3bd275 2130 esound_0.2.41-10.dsc
 d950ec13a877b26c91e3bad8b21427d3ca737441 13906 esound_0.2.41-10.debian.tar.gz
 1dbc10d209e9cddd7750bd5535be030970c88e02 46012 esound-common_0.2.41-10_all.deb
 7213f9095ce2ff22d9cc59132483cc6bc0bdc6c2 19948 libesd0_0.2.41-10_i386.deb
 a37eeae5655734d21c0b85dcef3726df902288ae 27538 libesd0-dev_0.2.41-10_i386.deb
Checksums-Sha256: 
 f3f7ebd7fb350da0b0a45e748afe35856827fe6c4f03c31e918c32d92c17cd46 2130 esound_0.2.41-10.dsc
 a286a3f6dc528c50b7881406b658326e735f5ca91b7056dcb40d0b648251148d 13906 esound_0.2.41-10.debian.tar.gz
 f11ba6d268e501511f1f3be8aa577d23c302253fe4e8608641dd642e4d42f1fe 46012 esound-common_0.2.41-10_all.deb
 2a9575fdd483817389d17e78526cc01ae55fe15cad60a6cf36f60a862757e79f 19948 libesd0_0.2.41-10_i386.deb
 7aca875f4f0b39a5682b26b434429a7ba91ae17202ed28a5c97d3a093bdd6c19 27538 libesd0-dev_0.2.41-10_i386.deb
Files: 
 56e31b5aa8329b982a83a7385ed0fe95 2130 sound optional esound_0.2.41-10.dsc
 2901f8b93c5450055a827348227bf88d 13906 sound optional esound_0.2.41-10.debian.tar.gz
 15db5654b04056ca60f5e2255e55091d 46012 sound optional esound-common_0.2.41-10_all.deb
 d32034b9a372d4fd11e722424e608bf6 19948 libs optional libesd0_0.2.41-10_i386.deb
 3d26de42671264dc8d5155e7e93ac69c 27538 libdevel optional libesd0-dev_0.2.41-10_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOof+HAAoJEGrh3w1gjyLcdOMQAI88nTRVvAQR2Hst0CaHvw3B
wPHxu6udpx62RLkMKBll45mPTWd9eqgRFPMl+bWlymr21R4BB1iNW+5VHriS7msq
XxBGZlSgtc4gEpvIUC0vrma48LZ7OQncltActkD92kgt0o5sWFbjoOLidFFYIWj8
V1cNJPXWL5X1Rsl4UsPDAbhWTEzMa+OxkHpim1MbAWDEEdep/8pCQAZALRVUG15z
WHpOxd+hg2Hph2iWy4uMRkId/50awmqghRrZYahMdVJsEe5syLBVpKwgJp2L3wxd
r7w7/Wa5rL7wbN65yDG+Kt73IWmtnKEw7uKQkY8rKWdFYZzXOGGem+SGt66bJg67
1SQsqTl12eyHxMhiSZ2XCDwxMFVtfANJZF7VnPjQhAbPUriGh+mCs9zXWpAS5wzg
aLDGalexOF/evhUaCr8m/XBVNp89Wt9sqCR6Y8upidTjmt0F6qyeI5dEq51x8AE9
esbYtoFGYcB8XiDlcI+w9WLqVmwbD4dOB0GwJ85uacFw/Nhd0Drckiv1/aoUlqoV
MFQfn3SpMjylmXkIY8LWRgc3/n14l0U8JVyAl1+aFhcOrzRVtOMTgVHN8YWu8Gok
I6tD2Mff0WcJK1NTB9jUo2OmxgYcFR+R2bdnNUNt0HT7UgyMiVbj4G2bzUNi/S4k
RifxBnsuqknd/TOQE/0S
=Koyy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Nov 2011 07:37:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:23:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.